# Profiling of the position-estimation step

Latency and accuracy position estimation using [DeepLabCut](https://github.com/DeepLabCut/DeepLabCut) (DLC) was calculated.

Body parts (3 body-parts per frame x 20 per video x 3 per animal x 3 animals = 540 body-parts) were manually annotated using ImageJ.

The frames were then subsampled to various sizes, and pose-estimation was performed using 
the [dlclib](https://github.com/gwappa/python-dlclib) library (this corresponds to the pose-estimation part of DLC).

For the corresponding DLC projects, refer to another repository.

In addition to the libraries above, python libraries such as `numpy`,
`matplotlib` and `pandas` will be required to run the code.

**PLEASE NOTE**: the code reflects the file organization when it was run,
and it is very likely that it does not run properly with the paths specified in it.
Please update it according to your needs in case of re-uses.

## Annotation data

The annotations are found in the `annotations` directory.

## Base data

The `profiling-frame-annotation.csv` contains the base data.

The `*_anno` columns refer to the manually annotated positions, whereas the `*_pred` columns refer to the positions estimated using DLC.
The values are in mm.

The `Latency` column contains the net time required for subsampling and position estimation in seconds.

## Summary data

The `*summary` file corresponds to the summary figures for different subsampling factors.
The `lower` and `upper` represent the bounds of the 5% confidence intervals.

Note the difference in the unit: here, latency is written in milliseconds.

