# Profiling of timings during real-time behavioral sessions

Using CED Power1401 and Spike2, we recorded the timings of each frame capture and the timings of trigger output generation.

## 1. Analyzed data

The `latency-data.h5` HDF5 file contains infomation on each video.

### 1-1. Code

The code to generate this dataset is found in `01_data-extraction.ipynb`, and the panels generated during the procedures are in the `figures` subdirectory.

### 1-2. Entries in `latency-data.h5`

There are three subgroups, `frame_intervals`, `on_latency` and `off_latency`, corresponding to the qualities analyzed. All the subgroups have the same structure.

One video comprises a list of values, and forms one dataset entry under each subgroup, numbered as 001, 002, etc.

Attributes of the entry contains the information of the video, such as:

- `subject`: name of the animal.
-  `session`: name of the behavioral session.
-  `run`: the index corresponding to the run of Spike2 recording.
-  `epoch`: the index corresponding to the run of video recording during the Spike2 recording session.
- `has_trigger`: whether or not this session involved real-time trigger-output generation.

## 2. Summary data

Several types of summary data are found here:

- `02_summary.ipynb` is the Jupyter notebook used to summarize the data in `latency-data.h5`.
- `latency_summary_26sessions.json` contains the distribution of values during each video acquisition.
- `latency_stats.tsv` is the distribution of each statistics across sessions.
- `summary.tsv` must be identical to what we used as the table in the paper.

